App\Entity\Spectacle:
    type: entity
    table: spectacles
    repositoryClass: App\Repository\SpectacleRepository
    inheritanceType: SINGLE_TABLE
    discriminatorColumn:
        name: discr
        type: string
    discriminatorMap:
        spectacle: Spectacle
        championnat: Championnat
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        titre:
            type: string
            length: 255
        sousTitre:
            type: string
            length: 255
            nullable: true
            column: sous_titre
        presentation:
            type: text
        jauge:
            type: smallint
        facebook:
            type: string
            length: 255
            nullable: true
        site:
            type: string
            length: 255
            nullable: true
        video:
            type: text
            nullable: true
        billetterie:
            type: boolean
        publier:
            type: boolean
    manyToOne:
        categorie:
            targetEntity: Categorie
    oneToMany:
        representations:
            targetEntity: Representation
            mappedBy: spectacle
    commentaires:
            targetEntity: Commentaire
            mappedBy: spectacle
